summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Whitt2017-05-16 10:13:19 -0400
committerAlex Whitt2017-05-16 10:13:19 -0400
commit5860e31c416c47509639e18449b0f4ca8077fc99 (patch)
treeffcdbc8cc7eec608f9ef4a83843373d07e9de1f6
downloadaur-5860e31c416c47509639e18449b0f4ca8077fc99.tar.gz
Initial commit
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD28
-rw-r--r--emacs-avy.install18
3 files changed, 62 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..301686a7595
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+# Generated by mksrcinfo v8
+# Tue May 16 14:12:55 UTC 2017
+pkgbase = emacs-avy
+ pkgdesc = Jump to things in Emacs tree-style
+ pkgver = 0.4.0
+ pkgrel = 1
+ url = https://github.com/abo-abo/avy
+ install = emacs-avy.install
+ arch = any
+ license = GPL3
+ depends = emacs
+ source = emacs-avy-0.4.0.tar.gz::https://github.com/abo-abo/avy/archive/0.4.0.tar.gz
+ sha256sums = 269d1a0710f86c3fd82a7099f5b9f359b45d7dd36b0ab7e4afbe082842c1b9f1
+
+pkgname = emacs-avy
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..8acd6c5207c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Alex Whitt <alex.joseph.whitt@gmail.com>
+
+_pkgsrcname=avy
+_pkgdestdirname=avy
+_pkgmaintainer=abo-abo
+_versionprefix=
+pkgver=0.4.0
+pkgrel=1
+pkgdesc="Jump to things in Emacs tree-style"
+pkgname=emacs-${_pkgdestdirname}
+arch=(any)
+url="https://github.com/${_pkgmaintainer}/${_pkgsrcname}"
+license=('GPL3')
+depends=('emacs')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/${_pkgmaintainer}/${_pkgsrcname}/archive/${_versionprefix}${pkgver}.tar.gz")
+sha256sums=('269d1a0710f86c3fd82a7099f5b9f359b45d7dd36b0ab7e4afbe082842c1b9f1')
+install=${pkgname}.install
+
+build() {
+ cd "${srcdir}/${_pkgsrcname}-${pkgver}"
+ emacs -q --no-splash -batch -L . -f batch-byte-compile *.el
+}
+
+package() {
+ cd "${srcdir}/${_pkgsrcname}-${pkgver}"
+ mkdir -p "${pkgdir}/usr/share/emacs/site-lisp/${_pkgdestdirname}/"
+ install -m644 *.el{c,} "${pkgdir}/usr/share/emacs/site-lisp/${_pkgdestdirname}/"
+}
diff --git a/emacs-avy.install b/emacs-avy.install
new file mode 100644
index 00000000000..20eaebf56a4
--- /dev/null
+++ b/emacs-avy.install
@@ -0,0 +1,18 @@
+post_install () {
+
+cat << EOF
+
+==> Add this code to your .emacs file to use the package:
+
+(require 'avy)
+
+==> Or, with use-package:
+
+(use-package avy)
+
+EOF
+}
+
+post_upgrade () {
+ post_install $1
+}